Bug 142836 - [new port] devel/libnfc: Near Field Communication (NFC) library
Summary: [new port] devel/libnfc: Near Field Communication (NFC) library
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Romain Tartière
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2010-01-14 17:00 UTC by Romain Tartière
Modified: 2010-02-03 00:00 UTC (History)
0 users

See Also:


Attachments
libnfc.sh (3.31 KB, text/plain)
2010-01-14 17:00 UTC, Romain Tartière
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description Romain Tartière 2010-01-14 17:00:01 UTC
libnfc provides the following features for easy NFC application development:

 - Complete coverage of low-level PN53x chipset commands
 - Written in pure and plain c for portability and speed
 - Easy to use programmers API for simple and advanced features
 - Released under the open source GNU General Public licence
 - Compatible with very cheap but advanced NFC hardware devices
 - Compiles "out of the box" on Linux, Mac OS X and Windows
 - Does not require any knowledge of RFID 13.56mhz modulation
 - Supports ISO14443-A/B, ISO18092 (p2p) and JIS X 6319-4 modulation
 - Implements NXP MIFARE Classic and Sony Felica protocol
 - Can transform your NFC device into a initiator (reader) or target (tag)
 - Allows complete control of the transmitted data frames
 - Accepts transmission of incorrect or empty CRC information
 - Provides a way to send arbitrary and incorrect parity bits
 - Supports sending of incomplete byte-frames (e.g. 4 bits error message)
 - Allows configuration of advanced chip registers and modulation settings
 - Very useful for performing research on hardware and protocol level
 - Easy start-up example applications/tools for a quick start

WWW:	http://www.libnfc.org
Comment 1 Dmitry Marakasov freebsd_committer 2010-01-15 16:11:15 UTC
Responsible Changed
From-To: freebsd-ports-bugs->amdmi3

I'll take it.
Comment 2 Dmitry Marakasov freebsd_committer 2010-01-15 17:15:19 UTC
State Changed
From-To: open->feedback

Doesn't build on < 8.x: 
http://people.freebsd.org/~amdmi3/libnfc-1.3.0.log
Comment 3 Romain Tartière 2010-01-16 12:46:19 UTC
Hi

Looks like we have two problems in one:

  - For FreeBSD < 8, some lines are missing in the port for depending on
    devel/libusb.

Index: devel/libnfc/Makefile
===================================================================
--- devel/libnfc/Makefile	(révision 469)
+++ devel/libnfc/Makefile	(copie de travail)
@@ -24,4 +24,10 @@
 MAN1=		nfc-mfclassic.1 nfc-emulate.1 nfc-list.1 nfc-mfultralight.1 \
 		nfc-relay.1 nfc-anticol.1
 
-.include <bsd.port.mk>
+.include <bsd.port.pre.mk>
+
+.if ${OSVERSION} < 800069
+LIB_DEPENDS+=	usb-0.1:${PORTSDIR}/devel/libusb
+.endif
+
+.include <bsd.port.post.mk>


  - The software package itself use '/sbin/sysctl -n kern.osreldate' to
    rely on compilation switch returned by libusb-config or static
    ones.  AFAIK, sysctls return information about the running kernel,
    so in this case leads to invalid branching in the program's logic.
    I can't see a workaround.  This call to sysctl was setup for fixing
    build on FreeBSD 8.0+

    http://code.google.com/p/libnfc/source/detail?r=206

    Any suggestion about another way to detect either the libusb from
    ports is required or not is welcome (I have commit bits to the
    libnfc repository and a new minor release is likely to be shipped
    soon).  I though it would be better to check the OSVERSION than the
    presence of libusb.2 vs. libusb-0.1 but can change this to fit the
    smartest choice.

    Just tell me what you think to be the better to do and I'll take
    care of doing it :-)


Thanks!
Romain

-- 
Romain Tartière <romain@blogreen.org>        http://romain.blogreen.org/
pgp: 8DAB A124 0DA4 7024 F82A  E748 D8E9 A33F FF56 FF43 (ID: 0xFF56FF43)
(plain text =non-HTML= PGP/GPG encrypted/signed e-mail much appreciated)
Comment 4 Dmitry Marakasov 2010-01-16 19:19:23 UTC
* Romain Tarti=C3=A8re (romain@blogreen.org) wrote:

> Looks like we have two problems in one:
>=20
>   - For FreeBSD < 8, some lines are missing in the port for depending o=
n
>     devel/libusb.

Still fails with the same symptoms.

--=20
Dmitry Marakasov   .   55B5 0596 FF1E 8D84 5F56  9510 D35A 80DD F9D2 F77D
amdmi3@amdmi3.ru  ..:  jabber: amdmi3@jabber.ru    http://www.amdmi3.ru
Comment 5 Dmitry Marakasov freebsd_committer 2010-01-29 12:15:18 UTC
Responsible Changed
From-To: amdmi3->romain

Pass to submitter
Comment 6 dfilter service freebsd_committer 2010-02-01 21:18:27 UTC
romain      2010-02-01 21:18:04 UTC

  FreeBSD ports repository

  Modified files:
    devel                Makefile 
  Added files:
    devel/libnfc         Makefile distinfo pkg-descr pkg-plist 
  Log:
  New port: devel/libnfc
    The libnfc provides a simple yet complete low-level API for handling NFC
    devices and building NFC applications.
  
  PR:             ports/142836
  Submitted by:   me
  Approved by:    flz (mentor)
  
  Revision  Changes    Path
  1.3809    +1 -0      ports/devel/Makefile
  1.1       +36 -0     ports/devel/libnfc/Makefile (new)
  1.1       +3 -0      ports/devel/libnfc/distinfo (new)
  1.1       +4 -0      ports/devel/libnfc/pkg-descr (new)
  1.1       +20 -0     ports/devel/libnfc/pkg-plist (new)
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"
Comment 7 Romain Tartière freebsd_committer 2014-06-01 07:13:28 UTC
State Changed
From-To: feedback->closed

New port added. Thanks!